### Method

# Gtk FileFilter add_suffix

since: 4.4

#### Declaration [src]

    void
    gtk_file_filter_add_suffix (
      GtkFileFilter* filter,
      const char* suffix
    )

#### Description [src]

Adds a suffix match rule to a filter.

This is similar to adding a match for the pattern “*.`suffix`“

An exaple to filter files with the suffix “.sub”:

    gtk_file_filter_add_suffix (filter, "sub");

Filters with multiple dots are allowed.

In contrast to pattern matches, suffix matches are always case-insensitive.

Available since: 4.4

#### Parameters

`suffix`

  Type: `const char*`

  Filename suffix to match.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.